Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/shield_lists" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"id": "12345678-1234-1234-1234-123456789012",
"type": "shield_list",
"name": "My Shield List",
"content": {
"type": "country_code"
}
}
]
}Retrieves all shield lists in the enterprise.
curl -i -X GET "https://api.box.com/2.0/shield_lists" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"id": "12345678-1234-1234-1234-123456789012",
"type": "shield_list",
"name": "My Shield List",
"content": {
"type": "country_code"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Version header.
2025.0 Returns the list of shield list objects.
List of Shield List objects.
A list of shield list objects.
Show child attributes
Was this page helpful?